Subject: bug#31828: [PATCH] [emacs-26] Add missing autoload cookie for browse-url-chrome

From: Noam Postavsky <[email-masked]>
Date: Fri, 15 Jun 2018 06:41:27 -0400

Eli Zaretskii <[email-masked]> writes:

>> From: Kaushal Modi <[email-masked]>
>> Date: Thu, 14 Jun 2018 11:59:27 -0400
>> Cc: [email-masked]
>> 
>> Then looking up in lisp/net/browse-url.el, I saw that all browse-url-* functions had an autoload except for
>> browse-url-chrome. 
>
> No, not all of them.

Looks like the only other one missing an autoload is
browse-url-epiphany.

>> So it looked like a clear oversight. Is that correct?
>
> I don't think it's an oversight.  Chrome is proprietary software.

If that's the reason, shouldn't it be removed completely (and people who
want to use Chrome could just set browse-url-chromium-program to
"chrome" instead)?  I've cc'd the author of the commit which added it.

[1: 05a630484f]: 2016-01-24 14:47:28 -0500
  browse-url.el: Add 'google-chrome' to supported browsers.
  https://git.savannah.gnu.org/cgit/emacs.git/commit/?id=05a630484fd652f67ce06679fb3f890f5fdd65ea